curl -X PATCH "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{ "status": "degraded" }'
const response = await fetch(
'https://kodostatus.com/api/v1/services/<service-id>',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({ status: 'degraded' })
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "degraded",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
Services
Update Service
Update service name, description, or status
PATCH
/
services
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{ "status": "degraded" }'
const response = await fetch(
'https://kodostatus.com/api/v1/services/<service-id>',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({ status: 'degraded' })
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "degraded",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
Path Parameters
string
required
The service ID
Body Parameters
string
Updated service name
string
Updated description
string
New status:
operational, degraded, partial_outage, major_outage, maintenanceResponse
Returns the updated service object.curl -X PATCH "https://kodostatus.com/api/v1/services/<service-id>" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{ "status": "degraded" }'
const response = await fetch(
'https://kodostatus.com/api/v1/services/<service-id>',
{
method: 'PATCH',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({ status: 'degraded' })
}
);
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "API Gateway",
"description": "Main API service",
"status": "degraded",
"display_order": 1,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T09:00:00.000Z"
}
⌘I